# hey Emacs, its -*- rpm-spec -*-
# $Id: ruby-openssl,v 1.7 2003/08/15 10:22:29 grigory Exp $

Name: ruby-openssl
Version: 0.1.3
Release: alt2
Summary: Ruby OpenSSL framework
Source0: http://freesoftware.fsf.org/download/rubypki/ossl-%version.tar.gz
# Patch0: ruby-openssl-alt.patch
License: Ruby (non-GPL variant)
Group: Development/Ruby
Requires: ruby-stdlibs >= 1.8
AutoReq: yes, noshell

BuildRequires: ruby openssl-devel libruby-devel

%description
Ruby OpenSSL project. Supports:
    = PKey:: RSA,DSA keys - new, load, export
    = X509::Certificate - generating new certs, load, looking inside
    = X509::CRL - load, new, looking inside
    = X509::Name - new, export, to_a, to_h (hash)
    = X509::Revoked - new, looking inside (on parameters)
    = X509::Store - new, import trusted certs and CRL, verifiing certs
    = Digest::... - various hashes
    = X509::Request - Cert requests
    = X509::Attribute - as X509Request extensions (not tested)
    = X509::Extension - to Certs, CRLs...
    = X509::ExtensionMaker - for easy creating new Extensions
    = Netscape::SPKI - for requests from NetscapeCommunicators
    = Cipher::... - various ciphers
    = basic PRNG functions (random generator) for OpenSSL module and class Random
    = SSLSocket (merged Gotou Yuuzou's SSLsocket-Ruby project)
    = PKCS7 (signing&data_verify is working, rest needs some testing)
    = HMAC
    = OpenSSL config file parser (part)
    = BN (safe bignums)
    = Diffie-Hellman

%prep
%setup -q -n ossl
# %patch0 -p1

%build
%ruby_configure
%__make

%install
%makeinstall DESTDIR=%buildroot

%files 
%doc test ChangeLog README GPL LEGAL LICENCE 
%ruby_sitearchdir/*
%ruby_sitelibdir/openssl*
%ruby_sitelibdir/net/*


%changelog
* Fri Aug 15 2003 Grigory Milev <week@altlinux.ru> 0.1.3-alt2
- rebuild with ruby 1.8

* Tue Apr 15 2003 Grigory Milev <week@altlinux.ru> 0.1.3-alt1
- new version released

* Tue Nov 19 2002 Alexander Bokovoy <ab@altlinux.ru> 0.1.2a-alt3
- Rebuild with new FHS-compliant Ruby package

* Fri Nov 15 2002 Alexander Bokovoy <ab@altlinux.ru> 0.1.2a-alt2
- Fix description field

* Wed Oct 09 2002 Alexander Bokovoy <ab@altlinux.ru> 0.1.2a-alt1
- Initial packaging


